Skip to main content
Server path: /miro-boards | Type: Application | PCID required: Yes

Tools

ToolDescription
miro_boards_attach_tag_to_itemAttach tag to item
miro_boards_copy_boardCopy board
miro_boards_create_boardCreate board
miro_boards_create_connectorCreate connector
miro_boards_create_frame_itemCreate frame
miro_boards_create_groupCreate group
miro_boards_create_itemsCreate items in bulk
miro_boards_create_items_in_bulk_using_file_from_deviceCreate items in bulk using file from device
miro_boards_create_tagCreate tag
miro_boards_delete_boardDelete board
miro_boards_delete_connectorDelete connector
miro_boards_delete_frame_itemDelete frame
miro_boards_delete_groupDeletes the group
miro_boards_delete_itemDelete item
miro_boards_delete_tagDelete tag
miro_boards_get_all_groupsGet all groups on a board
miro_boards_get_board_membersGet all board members
miro_boards_get_boardsGet boards
miro_boards_get_connectorGet specific connector
miro_boards_get_connectorsGet connectors
miro_boards_get_frame_itemGet frame
miro_boards_get_group_by_idGet a group by its ID
miro_boards_get_itemsGet items on board
miro_boards_get_items_by_group_idGet items of a group by ID
miro_boards_get_items_by_tagGet items by tag
miro_boards_get_items_within_frameGet items within frame
miro_boards_get_specific_boardGet specific board
miro_boards_get_specific_board_memberGet specific board member
miro_boards_get_specific_itemGet specific item on board
miro_boards_get_tagGet tag
miro_boards_get_tags_from_boardGet tags from board
miro_boards_get_tags_from_itemGet tags from item
miro_boards_remove_board_memberRemove board member
miro_boards_remove_tag_from_itemRemove tag from item
miro_boards_share_boardShare board
miro_boards_un_groupUngroup items
miro_boards_update_boardUpdate board
miro_boards_update_board_memberUpdate board member
miro_boards_update_connectorUpdate connector
miro_boards_update_frame_itemUpdate frame
miro_boards_update_groupUpdates a group with new items
miro_boards_update_item_position_or_parentUpdate item position or parent
miro_boards_update_tagUpdate tag

miro_boards_attach_tag_to_item

Attach tag to item Parameters:
ParameterTypeRequiredDefaultDescription
board_id_PlatformTagsstringYesUnique identifier (ID) of the board with the item that you want to add a tag to.
item_idstringYesUnique identifier (ID) of the item to which you want to add a tag.
tag_idstringYesUnique identifier (ID) of the tag you want to add to the item.

miro_boards_copy_board

Copy board Parameters:
ParameterTypeRequiredDefaultDescription
copy_fromstringYesUnique identifier (ID) of the board that you want to copy.
descriptionstringNoDescription of the board.
namestringNoName for the board.
policyobjectNoDefines the permissions policies and sharing policies for the board.
teamIdstringNoUnique identifier (ID) of the team where the board must be placed.

miro_boards_create_board

Create board Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoDescription of the board.
namestringNoName for the board.
policyobjectNoDefines the permissions policies and sharing policies for the board.
projectIdstringNoUnique identifier (ID) of the project to which the board must be added. Note: Projects have been renamed to Spaces. Use this parameter to update the space. For Starter and Edu plans, Team Admins looking to move boards between Spaces/Projects of the same team would need to be direct Board Editors on the boards to move.
teamIdstringNoUnique identifier (ID) of the team where the board must be placed. Note: On Enterprise plan, boards can be moved via API by Board Owners, Co-Owners, and Content Admins. This behavior differs from the Miro UI, where only Board Owners can move boards. This difference is intentional and works as designed. On non-Enterprise plans, only Board Owners can move boards between teams—both via the API and the Miro UI.

miro_boards_create_connector

Create connector Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board for which you want to create the connector.
captionsobject[]NoBlocks of text you want to display on the connector.
endItemobjectYesThe end point of the connector. endItem.id must be different from startItem.id
shapestringNoThe path type of the connector line, defines curvature. Default: curved.
startItemobjectYesThe end point of the connector. endItem.id must be different from startItem.id
styleobjectNoContains information about the style of a connector, such as the color or caption font size

miro_boards_create_frame_item

Create frame Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board where you want to create a frame.
dataobjectYesContains frame item data, such as the title, frame type, or frame format.
geometryobjectNoContains geometrical information about the item, such as its width or height.
positionobjectNoContains information about the item’s position on the board, such as its x coordinate, y coordinate, and the origin of the x and y coordinates.
styleobjectNoContains information about the style of a frame item, such as the fill color.

miro_boards_create_group

Create group Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board
descriptionstringNoUser group description
idstringYesUser group ID
namestringYesUser group name
typestringYesObject type

miro_boards_create_items

Create items in bulk Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board where you want to create the item.
bodyobject[]YesRequest body

miro_boards_create_items_in_bulk_using_file_from_device

Create items in bulk using file from device Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board where you want to create the item.
datastringYesJSON file containing bulk data, where each object represents an item to be created. For details, see JSON file example.
resourcesstring[]YesArray of items to create (PDFs, images, etc.). Maximum of 20 items.

miro_boards_create_tag

Create tag Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board where you want to create the tag.
fillColorstringNoFill color for the tag.
titlestringYesText of the tag. Case-sensitive. Must be unique.

miro_boards_delete_board

Delete board Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board that you want to delete.

miro_boards_delete_connector

Delete connector Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board from which you want to delete the connector.
connector_idstringYesUnique identifier (ID) of the connector that you want to delete.

miro_boards_delete_frame_item

Delete frame Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board from which you want to delete the frame.
item_idstringYesUnique identifier (ID) of the frame that you want to delete.

miro_boards_delete_group

Deletes the group Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board.
group_idstringYesUnique identifier (ID) of the group.
delete_itemsbooleanYesIndicates whether the items should be removed. Set to true to delete items in the group.

miro_boards_delete_item

Delete item Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board from which you want to delete the item.
item_idstringYesUnique identifier (ID) of the item that you want to delete.

miro_boards_delete_tag

Delete tag Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board where you want to delete a specific tag.
tag_idstringYesUnique identifier (ID) of the tag that you want to delete.

miro_boards_get_all_groups

Get all groups on a board Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board.
limitintegerNoThe maximum number of items to return at one time, default is 10, maximum is 50.
cursorstringNoPagination cursor from a previous response

miro_boards_get_board_members

Get all board members Parameters:
ParameterTypeRequiredDefaultDescription
limitstringNoThe maximum number of board members to retrieve. Default: 20.
offsetstringNoThe (zero-based) offset of the first item in the collection to return. Default: 0.
board_idstringYesUnique identifier (ID) of the board to which the board member belongs.

miro_boards_get_boards

Get boards Parameters:
ParameterTypeRequiredDefaultDescription
team_idstringNoThe team_id for which you want to retrieve the list of boards. If this parameter is sent in the request, the query and owner parameters are ignored.
project_idstringNoThe project_id for which you want to retrieve the list of boards.<br/>Note: Projects have been renamed to Spaces. Use this as the unique identifier (ID) of the space. If this parameter is included in the request, the query and owner parameters are ignored.
querystringNoRetrieves a list of boards that contain the query string provided in the board name or board description. For example, if you want to retrieve a list of boards that have the word beta in the board name or description, add beta as the query parameter value. You can use the query parameter with the owner parameter to narrow down the board search results.
ownerstringNoRetrieves a list of boards that belong to a specific owner ID. You must pass the owner ID (for example, 3074457353169356300), not the owner name. You can use the ‘owner’ parameter with the query parameter to narrow down the board search results. Note that if you pass the team_id in the same request, the owner parameter is ignored.
limitstringNoThe maximum number of boards to retrieve. Default: 20
offsetstringNoThe (zero-based) offset of the first item in the collection to return. Default: 0.
sortstringNoSort order in which you want to view the result set. The parameter is applicable only when you search for boards by team or project. * default - If team_id is present, last_created. Otherwise, last_opened. * last_modified - sort by the date and time when the board was last modified. * last_opened - sort by the date and time when the board was last opened. * last_created - sort by the date and time when the board was created. * alphabetically - sort by the board name (alphabetically).

miro_boards_get_connector

Get specific connector Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board from which you want to retrieve a specific connector.
connector_idstringYesUnique identifier (ID) of the connector that you want to retrieve.

miro_boards_get_connectors

Get connectors Parameters:
ParameterTypeRequiredDefaultDescription
limitstringNoThe maximum number of results to return per call. If the number of connectors in the response is greater than the limit specified, the response returns the cursor parameter with a value.
cursorstringNoA cursor-paginated method returns a portion of the total set of results based on the limit specified and a cursor that points to the next portion of the results. To retrieve the next portion of the collection, set the cursor parameter equal to the cursor value you received in the response of the previous request.
board_idstringYesUnique identifier (ID) of the board from which you want to retrieve a list of connectors.

miro_boards_get_frame_item

Get frame Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board that contains the frame that you want to retrieve
item_idstringYesUnique identifier (ID) of the frame that you want to retrieve.

miro_boards_get_group_by_id

Get a group by its ID Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board.
group_idstringYesUnique identifier (ID) of the group.

miro_boards_get_items

Get items on board Parameters:
ParameterTypeRequiredDefaultDescription
limitstringNoThe maximum number of results to return per call. If the number of items in the response is greater than the limit specified, the response returns the cursor parameter with a value.
typestringNoIf you want to get a list of items of a specific type, specify an item type. For example, if you want to retrieve the list of card items, set type to cards. A document is meant for uploaded documents like PDFs while doc_format is a Miro structured document similar to a Google Doc. Possible values: app_card, card, data_table_format, document, embed, frame, image, shape, sticky_note, text, doc_format
cursorstringNoA cursor-paginated method returns a portion of the total set of results based on the limit specified and a cursor that points to the next portion of the results. To retrieve the next portion of the collection, set the cursor parameter equal to the cursor value you received in the response of the previous request.
board_idstringYesUnique identifier (ID) of the board for which you want to retrieve the list of available items.

miro_boards_get_items_by_group_id

Get items of a group by ID Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board.
limitintegerNoThe maximum number of items to return at one time, default is 10, maximum is 50.
cursorstringNoPagination cursor from a previous response
group_item_idstringYesThe ID of the group item to retrieve.

miro_boards_get_items_by_tag

Get items by tag Parameters:
ParameterTypeRequiredDefaultDescription
limitstringNoThe maximum number of items that can be returned for a single request. Default: 20.
offsetstringNoThe displacement of the first item in the collection to return. Default: 0.
board_id_PlatformTagsstringYesUnique identifier (ID) of the board where you want to retrieve a specific tag.
tag_idstringYesUnique identifier (ID) of the tag that you want to retrieve.

miro_boards_get_items_within_frame

Get items within frame Parameters:
ParameterTypeRequiredDefaultDescription
board_id_PlatformContainersstringYesUnique identifier (ID) of the board that contains the frame for which you want to retrieve the list of available items.
parent_item_idstringYesID of the frame for which you want to retrieve the list of available items.
limitstringNoThe maximum number of results to return per call. If the number of items in the response is greater than the limit specified, the response returns the cursor parameter with a value.
typestringNoIf you want to get a list of items of a specific type, specify an item type. For example, if you want to retrieve the list of card items, set type to cards. Possible values: app_card, card, document, embed, frame, image, shape, sticky_note, text
cursorstringNoA cursor-paginated method returns a portion of the total set of results based on the limit specified and a cursor that points to the next portion of the results. To retrieve the next portion of the collection, set the cursor parameter equal to the cursor value you received in the response of the previous request.

miro_boards_get_specific_board

Get specific board Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board that you want to retrieve.

miro_boards_get_specific_board_member

Get specific board member Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board to which the board member belongs.
board_member_idstringYesUnique identifier (ID) of the board member whose role you want to retrieve.

miro_boards_get_specific_item

Get specific item on board Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board from which you want to retrieve a specific item.
item_idstringYesUnique identifier (ID) of the item that you want to retrieve.

miro_boards_get_tag

Get tag Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board where you want to retrieve a specific tag.
tag_idstringYesUnique identifier (ID) of the tag that you want to retrieve.

miro_boards_get_tags_from_board

Get tags from board Parameters:
ParameterTypeRequiredDefaultDescription
limitstringNoThe maximum number of items that can be returned for a single request. Default: 20.
offsetstringNoThe displacement of the first item in the collection to return. Default: 0.
board_idstringYesUnique identifier (ID) of the board whose tags you want to retrieve.

miro_boards_get_tags_from_item

Get tags from item Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board with the item whose tags you want to retrieve.
item_idstringYesUnique identifier (ID) of the item whose tags you want to retrieve.

miro_boards_remove_board_member

Remove board member Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board from which you want to delete an item.
board_member_idstringYesUnique identifier (ID) of the board member whose role you want to delete.

miro_boards_remove_tag_from_item

Remove tag from item Parameters:
ParameterTypeRequiredDefaultDescription
board_id_PlatformTagsstringYesUnique identifier (ID) of the board with the item that you want to remove a tag from.
item_idstringYesUnique identifier (ID) of the item that you want to remove the tag from.
tag_idstringYesUnique identifier (ID) of the tag that you want to remove from the item.

miro_boards_share_board

Share board Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board to which the board member belongs.
emailsstring[]YesEmail IDs of the users you want to invite to the board. You can invite up to 20 members per call.
messagestringNoThe message that will be sent in the invitation email.
rolestringNoRole of the board member. Inviting users with the role owner has the same effect as the role coowner.

miro_boards_un_group

Ungroup items Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board.
group_idstringYesUnique identifier (ID) of the group.
delete_itemsbooleanNoIndicates whether the items should be removed. By default, false.

miro_boards_update_board

Update board Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board that you want to update.
descriptionstringNoDescription of the board.
namestringNoName for the board.
policyobjectNoDefines the permissions policies and sharing policies for the board.
projectIdstringNoUnique identifier (ID) of the project to which the board must be added. Note: Projects have been renamed to Spaces. Use this parameter to update the space. For Starter and Edu plans, Team Admins looking to move boards between Spaces/Projects of the same team would need to be direct Board Editors on the boards to move.
teamIdstringNoUnique identifier (ID) of the team where the board must be placed. Note: On Enterprise plan, boards can be moved via API by Board Owners, Co-Owners, and Content Admins. This behavior differs from the Miro UI, where only Board Owners can move boards. This difference is intentional and works as designed. On non-Enterprise plans, only Board Owners can move boards between teams—both via the API and the Miro UI.

miro_boards_update_board_member

Update board member Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board for which you want to update the role of the board member.
board_member_idstringYesUnique identifier (ID) of the board member whose role you want to update.
rolestringNoRole of the board member.

miro_boards_update_connector

Update connector Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board for which you want to update the connector.
connector_idstringYesUnique identifier (ID) of the connector that you want to update.
captionsobject[]NoBlocks of text you want to display on the connector.
endItemobjectNoThe ending point of the connector. If startItem is also provided, endItem.id must be different from startItem.id
shapestringNoThe path type of the connector line, defines curvature. Default: curved.
startItemobjectNoThe ending point of the connector. If startItem is also provided, endItem.id must be different from startItem.id
styleobjectNoContains information about the style of a connector, such as the color or caption font size

miro_boards_update_frame_item

Update frame Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board where you want to update the frame.
item_idstringYesUnique identifier (ID) of the frame that you want to update.
dataobjectNoContains frame item data, such as the title, frame type, or frame format.
geometryobjectNoContains geometrical information about the item, such as its width or height.
positionobjectNoContains information about the item’s position on the board, such as its x coordinate, y coordinate, and the origin of the x and y coordinates.
styleobjectNoContains information about the style of a frame item, such as the fill color.

miro_boards_update_group

Updates a group with new items Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board.
group_idstringYesUnique identifier (ID) of the group.
descriptionstringNoUser group description
idstringYesUser group ID
namestringYesUser group name
typestringYesObject type

miro_boards_update_item_position_or_parent

Update item position or parent Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board where you want to update the item.
item_idstringYesUnique identifier (ID) of the item that you want to update.
parentobjectNoContains information about the parent frame for the item.
positionobjectNoContains information about the item’s position on the board, such as its x coordinate, y coordinate, and the origin of the x and y coordinates.

miro_boards_update_tag

Update tag Parameters:
ParameterTypeRequiredDefaultDescription
board_idstringYesUnique identifier (ID) of the board where you want to update a specific tag.
tag_idstringYesUnique identifier (ID) of the tag that you want to update.
fillColorstringNoFill color for the tag.
titlestringNoText of the tag. Case-sensitive. Must be unique.